Subject: [Taps] NEAT's abstract API: an old snapshot showing our design process

From: Michael Welzl <[email-masked]>
Date: Fri, 17 Mar 2017 17:41:29 +0100

Dear all,

I'm writing this on behalf of the NEAT project:

We have decided to release a relatively old snapshot of a document that is continuously evolving (our "deliverable D1.2"), just to give
folks an idea about the design process that we use to develop our own API. It's about how we get from IETF drafts (and, in our case,
also requirements derived from use cases) to running code.

We thought that this would be of interest to the TAPS community - here's the link:
https://www.neat-project.org/2017/03/abstract-api-description-released/

Again, I'd like to stress that this does *not* capture the current state of NEAT - it captures a significantly older state of it, in the form of an abstract API, illustrating our design process.
(our concrete API is also quite different in style - many of the "primitives" in this abstract API are just elements of a data structure in our actual call-back-based implementation).

With this, I wish y'all a nice weekend,
Michael